###
# 'makefile'
# This is a generic 'makefile' for a program
#
# Author/CopyRight: Mancuso, Logan
# Last Edit Date: 07-05-2019--14:17:58
###

# use compiler c++ version 11
GCC = gcc
FLAG =

# files included
M = main.o

# make all command
all: aprog

# output of aprog program
aprog: $M
	$(GCC) $(FLAG) -o aprog $M

# main.c file
main.o: main.c
	$(GCC) -c main.c

# Other files to compile in this program, "non-default" files


clean:
	rm -rf *.o
###
# End 'makefile'
###